Site Requirements & User Info

Most documents on this site will require Adobe Reader Version 5.0 or higher to be installed on your computer.  If you do not have Adobe Reader (formerly known as Adobe Acrobat Reader) click the image / link below to download and install the small program on your PC for free.  The reason for the use of this type of file is that it allows a document to be preserved in its original published form, prints correctly, and offers advanced viewing & serarching options.  

 

Adobe-Acrobat-icon

Adobe Acrobat Icon 2


 

 

Note:  Whenever you see an icon like either of the above, you'll need Adobe Reader.

Our work on this site is far from over.  We will be adding resources and information constantly as time permits.  It is my personal goal for this site to be one of your best resources for accurate information & problem resolution. Please let me know personally how this site may be better developed to suit the needs of the membership.  I welcome your comments, questions & suggestions.

This site is designed and hosted by WNC WEBWORX